List Orders
curl -X GET "https://sandbox-api.aparatech.io/v1/public/orders?limit=42&page=25&status=example_string&orderType=payin" \
-H "Content-Type: application/json" \
-H "MID: example_string"
import requests
import json
url = "https://sandbox-api.aparatech.io/v1/public/orders?limit=42&page=25&status=example_string&orderType=payin"
headers = {
"Content-Type": "application/json",
"MID": "example_string"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://sandbox-api.aparatech.io/v1/public/orders?limit=42&page=25&status=example_string&orderType=payin", {
method: "GET",
headers: {
"Content-Type": "application/json",
"MID": "example_string"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://sandbox-api.aparatech.io/v1/public/orders?limit=42&page=25&status=example_string&orderType=payin", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("MID", "example_string")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox-api.aparatech.io/v1/public/orders?limit=42&page=25&status=example_string&orderType=payin')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['MID'] = 'example_string'
response = http.request(request)
puts response.body
{
"status": "success",
"data": {
"transfers": [
{
"id": "OR-2605141118506969532",
"status": "fund_processing",
"orderType": "payin",
"source": {
"currency": "VND",
"amount": "170010"
},
"destination": {
"currency": "VND",
"amount": "170010"
},
"userId": "OCUX-17784812248037343",
"purposeCode": "company_expenses",
"mid": "OXEHXW_NA_NA",
"senderName": {
"firstName": "dharam"
},
"fees": {
"networkFee": 0,
"rrFee": 0,
"processingFee": 0,
"fixedFee": {
"fixedFeesCurrency": "VND"
}
},
"createdAt": "2026-05-14T11:18:50.804Z",
"updatedAt": "2026-05-14T11:18:50.880Z"
}
]
}
}
GET
/v1/public/orders
Request Preview
Response
Response will appear here after sending the request
Query Parameters
orderTypestring
Allowed values:
payingamingHeaders
Responses
statusstring
dataobject
transfersarray
idstring
statusstring
orderTypestring
sourceobject
currencystring
amountstring
destinationobject
currencystring
amountstring
userIdstring
purposeCodestring
midstring
senderNameobject
firstNamestring
feesobject
networkFeenumber
rrFeenumber
processingFeenumber
fixedFeeobject
fixedFeesCurrencystring
createdAtstring
updatedAtstring
Was this page helpful?